Package writer2latex.office

# Class FontDeclaration

java.lang.Object
writer2latex.office.OfficeStyle
writer2latex.office.FontDeclaration

public class FontDeclaration extends OfficeStyle

Class representing a font declaration in OOo

## Field Summary

### Fields inherited from class writer2latex.office.OfficeStyle

`bAutomatic, family, sName`

## Constructor Summary

Constructors
Constructor
Description
`FontDeclaration()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFontFamily()`
`String`
`getFontFamilyGeneric()`
`String`
`getFontPitch()`
`String`
`getProperty(String sProperty)`
`void`
`loadStyleFromDOM(Node node)`

### Methods inherited from class writer2latex.office.OfficeStyle

`getDisplayName, getFamily, getListStyleName, getMasterPageName, getName, getParentName, getParentStyle, isAutomatic`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FontDeclaration

public FontDeclaration()

## Method Details

### loadStyleFromDOM

public void loadStyleFromDOM(Node node)

Overrides:
  `loadStyleFromDOM` in class `OfficeStyle`

### getProperty

public String getProperty(String sProperty)

### getFontFamily

public String getFontFamily()

### getFontFamilyGeneric

public String getFontFamilyGeneric()

### getFontPitch

public String getFontPitch()